// src/repl.ts
import os from "node:os";
import path from "node:path";
import { inspect } from "node:util";
import { ProcessOutput, defaults } from "./core.js";
import { chalk } from "./vendor.js";
async function startRepl() {
  defaults.verbose = false;
  const r = (await import("node:repl")).start({
    prompt: chalk.greenBright.bold("\u276F "),
    useGlobal: true,
    preview: false,
    writer(output) {
      if (output instanceof ProcessOutput) {
        return output.toString().replace(/\n$/, "");
      }
      return inspect(output, { colors: true });
    }
  });
  r.setupHistory(path.join(os.homedir(), ".zx_repl_history"), () => {
  });
}
export {
  startRepl
};
